package com.tao.controller;

import com.tao.pojo.AjaxResult;
import com.tao.pojo.AppElement;
import com.tao.pojo.AppPage;
import com.tao.service.AppPageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @ClassName AppPageController
 * @Description TODO
 * @Author zhangyuantao
 * @Date 2022/12/11 11:23
 * @Version 1.0
 */
@Controller
@RequestMapping("/page")
public class AppPageController {

    @Autowired
    AppPageService appPageService;

    @GetMapping("/all")
    @ResponseBody
    public AjaxResult getAllPages() {
        return AjaxResult.success("成功查询", appPageService.selectAppPageList(new AppPage()));
    }
}
