package com.tao.pojo;

import lombok.*;

import java.util.Map;

/**
 * @Author zhangyuantao
 * @Version 1.0
 * @Description: APP元素对象
 * @Date 2022/12/10 9:23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class AppElement {

    // 元素ID
    private Long elementID;

    // 元素名
    private String elementName;

    // 元素Android端定位值
    private String elementAndroidLocate;

    // 元素IOS端定位值
    private String elementIOSLocate;

    // 元素备注
    private String elementRemark;

    /*
        元素类别
        0：Py文件读取
        1：平台添加
        2：平台修改
     */
    private Long elementType;

    // 所属页面ID
    private Long pageID;

    // 所属页面对象
    private AppPage appPage;

}
